<?php
require_once("../includes/bootstrap.php");
$sesion = new sesion(); // inicio la sesion
/*
if (!headers_sent())
    ob_start("ob_gzhandler");
*/
$sesion->set('permiso', permisos($_POST['privilegio']));

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}
$cd_docente = "";
$academia = bootstrap::initBd($sesion->get('anio'));
$nombre_grupo = $sesion->getVar('configuracion.nombres_grupos');
if ($sesion->getVar('ac_tipo_user') == '1') {
    $cd_docente = $sesion->getVar("info_doc.cod_profesor");

    $sql = "SELECT 
			Max(aca_asignaturasxgrupos.num_evaluaciones) AS num_per,
					view_datos_grupos.cod_grupo AS cdgr,
					view_datos_grupos.per_disciplina AS per_acc,
					CONCAT(view_datos_grupos.nom_grado,' ',view_datos_grupos.$nombre_grupo) as nomgrado
					FROM
					aca_asignaturasxgrupos
					INNER JOIN view_datos_grupos ON aca_asignaturasxgrupos.cod_grupo = view_datos_grupos.cod_grupo
			WHERE view_datos_grupos.cod_director=$cd_docente
		GROUP BY cdgr limit 0,10;";
    //echo $sql;
    $academia->instruccion($sql);
    if ($academia->num_rows() <= 0) {
        echo '<div class="alert alert-block">
			<h4>Ups!!</h4>
			Usted no tiene permiso para acceder a este modulo...<br>o no es director de algún grupo
		</div>';
        exit;
    }
    $dtsPeriodo = $academia->fetchAll();
    $academia->liberar();
    $nomgr = "<strong>Grupo:</strong> " . $dtsPeriodo['nomgrado'];
} elseif ($sesion->getVar('ac_tipo_user') != $sesion->getVar('cod_cmps.cd_admin')) {
    echo '<div class="alert alert-block">
			<h4>Ups!!</h4>
			Usted no tiene permiso para acceder a este modulo...
		</div>';
    exit;
}
$sqlDis = "SELECT
		format(aca_detalles_escalas.nota_min,1) as nota_min
		, format(aca_detalles_escalas.nota_max,1) as nota_max 
		, aca_detalles_escalas.aprueba
		,aca_detalles_escalas.descripcion
	FROM
		aca_detalles_escalas
		INNER JOIN aca_escalas 
			ON (aca_detalles_escalas.id_escala = aca_escalas.id_escala)
	WHERE (aca_escalas.nombre_escala like '%Disciplina%') order by aca_detalles_escalas.nota_min;";
$academia->instruccion($sqlDis);
$dtsDis = $academia->fetchAll();
$nmin = $dtsDis[0]['nota_min'];
$nmax = $dtsDis[count($dtsDis) - 1]['nota_max'];

?>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <script type="text/javascript">

        $(document).ready(function (e) {
            var cdgr = "<?php echo $dtsPeriodo['cdgr'] ?>";
            var gridBoletin = $("#listEstudiantes");
            var form = $("#frm_newedt_obs");
            var objPeriodo = $("#md_n_periodo");
            var nmin = parseFloat('<?php echo $nmin ?>'), nmax = parseFloat('<?php echo $nmax ?>');
            var dtsNum = [], i = 0;
            var dtsDis = $.parseJSON('<?php echo json_encode($dtsDis) ?>');

            function nletra(n) {
                for (x in dtsDis) {
                    if (n >= parseFloat(dtsDis[x].nota_min) && n <= parseFloat(dtsDis[x].nota_max)) {
                        return dtsDis[x].descripcion;
                    }
                }
            };

            while (i <= nmax) {
                dtsNum.push(i);
                i += 0.1;
            }
            var indexGrid = 0;

            $("#md_n_txtsedes").change(function () {
                cd_sede = $(this).val();
                dt = {cod_cnds: cd_sede, codigo: 'a28', mopc: '0'};
                $.ajax({
                    type: "POST",
                    url: "includes/cargar_selec_normal.php",
                    data: dt,
                    success: function (dt) {
                        $("#md_n_txtjornadas").html(dt);
                        $("#md_n_txtjornadas").trigger("change");
                    },
                });
            });


            $("#md_n_txtjornadas").change(function () {
                var jor = $(this).val();
                $.ajax({
                    type: "POST",
                    url: "mod_observaestudiantes/cargar_select_grupos.php",
                    data: {sede: $("#md_n_txtsedes").val(), jornada: jor},
                    success: function (rta) {
                        $("#md_n_txtgrupo").html(rta);

                        $("#md_n_txtgrupo").trigger("change");
                    }
                });
            });


            $("#md_n_txtgrupo").change(function () {
                $("#nomGrupo").text($("option:selected", this).parent()[0].label);
                cdgr = $(this).val();
                $.ajax({
                    type: "POST",
                    url: "mod_observaestudiantes/cargar_select_periodos.php",
                    data: {cod_cnds: cdgr},
                    success: function (rta) {

                        $("#md_n_periodo").html(rta);
                        $("#md_n_periodo").trigger("change");
                    }
                });
            });

            form.form({
                url: 'mod_observaestudiantes/opera_obsrvaciones.php',
                onSubmit: function (param) {
                    param.per = $("#md_n_periodo").val();
                    param.nlet = nletra(parseFloat($("#nt_num").val()));
                    $.messager.progress({
                        title: dtsLang['project']['empresa'],
                        msg: dtsLang['mod_observaciones']['msg_save']
                    });
                },
                success: function (rta) {
                    rta = $.parseJSON(rta);
                    if (rta.error != 0) {
                        if (rta.error == 'session') {
                            modulo = 'global';
                        } else {
                            modulo = 'mod_observaciones';
                        }
                        jAlert(dtsLang[modulo][rta.error], 'error', function () {
                            if (rta == 'session') {
                                location.reload();
                            }
                        });
                    } else {
                        /*gridBoletin.datagrid('selectRow',indexGrid);*/
                        gridBoletin.datagrid('updateRow', {
                            index: indexGrid,
                            row: {
                                nt_num: $("#nt_num").val(),
                                obs: $("#obs").val().replace(/\n/g, "<br>")
                            }
                        });
                        notifica_ok(dtsLang['mod_observaciones']['msg_exito']);
                    }
                    $.messager.progress('close');
                    wndAddEdtObs.window('close');
                }
            });

            $("#nt_num").valida({
                rulers: 'dec',
                lcapital: false,
                required:false,
                fnumdec: {ndec: 1},
            }).focusout(function () {
                if (parseFloat($(this).val()) > nmax) {
                    $(this).val('').focus().trigger('rvalida');
                }
            }).trigger('rvalida');
            $("#submit").click(function (e) {
                if (!$(":input, select, textarea", form).hasClass('campos_error')) {
                    form.submit();
                } else {
                    jAlert(dtsLang['globals']['cmpobl'], dtsLang['globals']['empresa']);
                }
            }).linkbutton();

            var wndAddEdtObs = $('#wndAddEdtObs');
            wndAddEdtObs.hide();

            var toolbar = [
                {
                    iconCls: 'ui-btn-new',
                    id: 'btn_new_obs',
                    handler: function () {
                        var row = gridBoletin.datagrid('getSelected');
                        if (row) {
                            wndAddEdtObs.window({
                                title: 'Agregar Observación',
                                iconCls: 'ui-btn-new',
                            }).show();
                            $("#oper").val('new');
                        } else {
                            jAlert(dtsLang.mod_observaciones.sel_rec, dtsLang.project.empresa);
                        }
                    }
                }, {
                    id: 'btn_edt_obs',
                    iconCls: 'ui-btn-edit',
                    handler: function () {
                        var row = gridBoletin.datagrid('getSelected');
                        if (row) {
                            row['oper'] = 'edit';
                            row['obs'] = (row['obs']) ? row['obs'].replace(/<br>/g, "\n") : '';

                            wndAddEdtObs.window({
                                iconCls: 'ui-btn-edit',
                                title: 'Editar Observación',
                            }).show();

                            form.form('load', row);
                            //$("#nt_num").trigger('rvalida');
                        } else {
                            jAlert(dtsLang.mod_observaciones.sel_rec, dtsLang.project.empresa);
                        }
                    }
                }, {
                    id: 'btn_del_obs',
                    iconCls: 'ui-btn-del',
                    handler: function () {
                        var row = gridBoletin.datagrid('getSelected');
                        if (row) {
                            jConfirm(dtsLang.mod_observaciones.confirmdel, dtsLang.project.empresa, function (r) {
                                if (r) {
                                    $.ajax({
                                        url: 'mod_observaestudiantes/opera_obsrvaciones.php',
                                        data: {
                                            per: $("#md_n_periodo").val(),
                                            idest: $("#idest").val(),
                                            oper: 'del',
                                        },
                                        type: 'POST',
                                        dataType: "json",
                                        beforeSend: function () {
                                            $.messager.progress({
                                                title: dtsLang['project']['empresa'],
                                                msg: dtsLang['mod_observaciones']['msg_del']
                                            })
                                        },
                                        success: function (rta) {
                                            if (rta.error != 0) {
                                                if (rta.error == 'session') {
                                                    modulo = 'global'
                                                } else {
                                                    modulo = 'mod_observaciones'
                                                }
                                                jAlert(dtsLang[modulo][rta.error], 'error', function () {
                                                    if (rta == 'session') {
                                                        location.reload();
                                                    }
                                                });
                                            } else {
                                                /*gridBoletin.datagrid('selectRow',indexGrid);*/
                                                gridBoletin.datagrid('updateRow', {
                                                    index: indexGrid,
                                                    row: {
                                                        nt_num: '',
                                                        obs: ''
                                                    }
                                                });
                                                notifica_ok(dtsLang['mod_observaciones']['msg_exito']);
                                            }
                                            $.messager.progress('close');
                                        }

                                    });
                                }
                            });
                        } else {
                            jAlert(dtsLang.mod_observaciones.sel_rec, dtsLang.project.empresa);
                        }
                    }
                }
            ];

            gridBoletin.datagrid({
                title: dtsLang.mod_observaciones.titulogrilla + '&nbsp;&nbsp;&nbsp;<?php echo $nomgr ?>',
                url: null,
                toolbar: toolbar,
                rownumbers: true,
                singleSelect: true,
                nowrap: false,
                columns: [[
                    {field: 'nombre', title: dtsLang.mod_observaciones.nom_ape, width: 270},
                    {field: 'nt_num', title: dtsLang.mod_observaciones.nota, width: 40, align: "center"},
                    {field: 'obs', title: dtsLang.mod_observaciones.observa, width: 435,},
                ]],
                onSelect: function (ind, dt) {
                    indexGrid = ind;
                    $("#idest").val(dt.idest);
                }
            });

            $("#md_grp_dir").on("change", function () {
                var opc = "", nper, pac;
                nper = $("option:selected", this).attr("aria-nper");
                pact = $("option:selected", this).attr("aria-act");
                cdgr = $(this).val();
                for (i = 1; i <= nper; i++) {
                    if (pact == i)
                        opc += '<option value="' + i + '" aria-act=1 selected>' + i + '</option>';
                    else
                        opc += '<option value="' + i + '" aria-act=0>' + i + '</option>';
                }
                objPeriodo.empty().append(opc).trigger("change");
            });

            objPeriodo.change(function (e) {
                var per = $(this).val();
                var act = parseInt($("option:selected", objPeriodo).attr('aria-act'));

                gridBoletin.datagrid({
                    url: 'mod_observaestudiantes/list_estudiantes_grupo.php',
                    queryParams: {
                        cdgr: cdgr,
                        per_calif: per,
                    }
                });
                if (act == 1) {
                    $("#btn_new_obs, #btn_edt_obs, #btn_del_obs").linkbutton('enable');
                } else {
                    $("#btn_new_obs, #btn_edt_obs, #btn_del_obs").linkbutton('disable');
                }
            });

            <?php if(!empty($dtsPeriodo[0]['cdgr'])): ?>
            $("#md_grp_dir").trigger("change");
            <?php
            else:
            ?>
            $("#md_n_txtsedes").trigger('change');
            <?php
            endif
            ?>

        });
    </script>
    <title>Observaciones</title>
</head>
<body>
<div id="wndAddEdtObs" class="easyui-window" style="width:565px; height: 310px; padding: 10px;"
     data-options="iconCls:'icon-save',modal:true,collapsible:false,minimizable:false,maximizable:false, onClose:function(){$('#frm_newedt_obs').form('reset')}">
    <form method="post" name="frm_newedt_obs" id="frm_newedt_obs">
        <input type="hidden" name="idest" id="idest">
        <input name="oper" type="hidden" id="oper" value="new">
        <div><?php echo $dtsLang['mod_observaciones']['observa'] ?></div>
        <textarea name="obs" cols="70" rows="10" id="obs" class="campos"></textarea>
        <div>Nota disciplina</div>
        <input name="nt_num" type="text" class="campos" id="nt_num" size="18" maxlength="4">
        <div style="text-align:center; padding:10px"><a href="javascript:void(0)" class="easyui-linkbutton"
                                                        data-options="iconCls:'icon-save'" id="submit">Guardar</a></div>
    </form>
</div>
<table align="center">
    <tr>
        <?php if (empty($dtsPeriodo)) : ?>
            <td>
                <div class="tit1"><?php echo $dtsLang['reportes']['lbl_rep_sede'] ?></div>
                <select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; ">
                    <?php
                    $sql = "SELECT DISTINCT  adm_sedes.cod_sede, adm_sedes.nom_sede FROM aca_grupos INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede);";

                    $academia->instruccion($sql);
                    while ($reg = $academia->extraer_registro()) {
                        echo "<option value='" . $reg[cod_sede] . "'>" . $reg[nom_sede] . "</option>";
                    }
                    $academia->liberar();

                    ?>
                </select></td>
            <td>
                <div class="tit1"><?php echo $dtsLang['reportes']['lbl_rep_jornada'] ?></div>
                <select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
                    <option value="0x">Seleccionar...</option>
                    <?php

                    ?>
                </select></td>
            <td>
                <div class="tit1"><?php echo $dtsLang['reportes']['lbl_rep_grupo'] ?>&nbsp;<span class="text4"
                                                                                                 id="nomGrupo"></span>
                </div>
                <select name="md_n_txtgrupo" class="campos" id="md_n_txtgrupo" style="width:160px">
                    <option value="0x">Seleccionar...</option>
                </select></td>
        <?php
        endif;

        if (!empty($dtsPeriodo)) {
            ?>

            <td>
                <div class="tit1">Grupo</div>
                <select name="md_grp_dir" class="campos" id="md_grp_dir" style="width:250px">
                    <?php
                    foreach ($dtsPeriodo as $dt) {
                        echo '<option value="' . $dt['cdgr'] . '" aria-nper="' . $dt['num_per'] . '" aria-act="' . $dt['per_acc'] . '">' . $dt['nomgrado'] . '</option>';
                    }
                    ?>
                </select></td>
        <?php } ?>
        <td>
            <div class="tit1"><?php echo $dtsLang['reportes']['lbl_rep_periodo'] ?></div>
            <select name="md_n_txtperiodo" class="campos" id="md_n_periodo" style="width:160px">
                <?php
                for ($i = 1; $i <= $dtsPeriodo[0]['num_per']; $i++) {
                    if ($i == $dtsPeriodo[0]['per_acc'])
                        echo '<option value="' . $i . '" aria-act=1 selected>' . $i . '</option>';
                    else
                        echo '<option value="' . $i . '" aria-act=0>' . $i . '</option>';
                }
                ?>
            </select></td>
    </tr>
    <tr>
        <td colspan="4" align="center">
            <table id="listEstudiantes" align="center" style="height:450px; width:800px"></table>
        </td>
    </tr>
</table>

<div style="text-align:center" class="alert alert-success">
    <?php
    foreach ($dtsDis as $dt) {
        //echo '<tr><td>'.$dt['nota_min'] . ' </td><td>' .  $dt['nota_max'] .'</td><td>'.$dt['aprueba'].'</td><td>'.$dt['descripcion'].'</td></tr>';
        echo '  &nbsp; &nbsp; <strong>' . $dt['descripcion'] . ':</strong>  ' . $dt['nota_min'] . ' - ' . $dt['nota_max'];
    }
    ?>
</div>
</body>
</html>